% teemodel2 solves a high-pass tee section.
% xind = reactance of inductor
% x1, x2, are magnitudes of reactances of capacitors
% R2 = load resistance
% returns zin = input impedance of tee
%         Av = voltage gain from input terminals
% computed by mesh analysis 
% needs zind, inductor impedance, R2, declared global  
% gejb 22 July 2010

function [zin, Av] = teemodel2(x1, x2);
global zind R2 X2 x1sav x2sav Y;


Z = [j*x1+zind, -zind; -zind, zind+j*x2+R2];

Y = inv(Z);
zin = 1/Y(1,1);
Av = Y(2,1) * R2;


 